# coding: utf-8
"""
<copyright company="Aspose" file="ConvertWorkbookOptionspy.cs">
  Copyright (c) 2025 Aspose.Cells Cloud
</copyright>
<summary>
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
</summary>
"""

from pprint import pformat
from six import iteritems
import re

class ConvertWorkbookOptions(object):

    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """


    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """

    swagger_types = {
        'name' : 'str',
        'data_source' : 'DataSource',
        'file_info' : 'FileInfo',
        'page_setup' : 'PageSetup',
        'save_options' : 'SaveOptions',
        'convert_format' : 'str',
        'check_excel_restriction' : 'bool'
    }

    attribute_map = {
        'name' : 'Name' ,
        'data_source' : 'DataSource' ,
        'file_info' : 'FileInfo' ,
        'page_setup' : 'PageSetup' ,
        'save_options' : 'SaveOptions' ,
        'convert_format' : 'ConvertFormat' ,
        'check_excel_restriction' : 'CheckExcelRestriction' 
    }

    @staticmethod
    def get_swagger_types():
        return ConvertWorkbookOptions.swagger_types

    @staticmethod
    def get_attribute_map():
        return ConvertWorkbookOptions.attribute_map

    def get_from_container(self, attr):
        if attr in self.container:
            return self.container[attr]
        return None

    def __init__(self,name=None ,data_source=None ,file_info=None ,page_setup=None ,save_options=None ,convert_format=None ,check_excel_restriction=None   ,**kw):
        """
        Associative dict for storing property values
        """
        self.container = {}

        """
        ConvertWorkbookOptions - a model defined in Swagger
        """
        self.container['name'] = None 
        self.container['data_source'] = None 
        self.container['file_info'] = None 
        self.container['page_setup'] = None 
        self.container['save_options'] = None 
        self.container['convert_format'] = None 
        self.container['check_excel_restriction'] = None 
        params = locals()
        self.name = name
        if 'name' in params:
            self.name = params["name"]


             
        self.data_source = data_source
        if 'data_source' in params:
            self.data_source = params["data_source"]


             
        self.file_info = file_info
        if 'file_info' in params:
            self.file_info = params["file_info"]


             
        self.page_setup = page_setup
        if 'page_setup' in params:
            self.page_setup = params["page_setup"]


             
        self.save_options = save_options
        if 'save_options' in params:
            self.save_options = params["save_options"]


             
        self.convert_format = convert_format
        if 'convert_format' in params:
            self.convert_format = params["convert_format"]


             
        self.check_excel_restriction = check_excel_restriction
        if 'check_excel_restriction' in params:
            self.check_excel_restriction = params["check_excel_restriction"]


             

    @property
    def name(self):
        return self.container['name']

    @name.setter
    def name(self, name):
        self.container['name'] = name 
    @property
    def data_source(self):
        return self.container['data_source']

    @data_source.setter
    def data_source(self, data_source):
        self.container['data_source'] = data_source 
    @property
    def file_info(self):
        return self.container['file_info']

    @file_info.setter
    def file_info(self, file_info):
        self.container['file_info'] = file_info 
    @property
    def page_setup(self):
        return self.container['page_setup']

    @page_setup.setter
    def page_setup(self, page_setup):
        self.container['page_setup'] = page_setup 
    @property
    def save_options(self):
        return self.container['save_options']

    @save_options.setter
    def save_options(self, save_options):
        self.container['save_options'] = save_options 
    @property
    def convert_format(self):
        return self.container['convert_format']

    @convert_format.setter
    def convert_format(self, convert_format):
        self.container['convert_format'] = convert_format 
    @property
    def check_excel_restriction(self):
        return self.container['check_excel_restriction']

    @check_excel_restriction.setter
    def check_excel_restriction(self, check_excel_restriction):
        self.container['check_excel_restriction'] = check_excel_restriction 

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.get_swagger_types()):
            value = self.get_from_container(attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        if not isinstance(other, ConvertWorkbookOptions):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other    